com.sun.jna.platform.win32

## Class LowLevelMonitorConfigurationAPI.MC_TIMING_REPORT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.LowLevelMonitorConfigurationAPI.MC_TIMING_REPORT

- Enclosing interface:
    LowLevelMonitorConfigurationAPI

      @Structure.FieldOrder(value={"dwHorizontalFrequencyInHZ","dwVerticalFrequencyInHZ","bTimingStatusByte"})
      public static class LowLevelMonitorConfigurationAPI.MC_TIMING_REPORT
      extends Structure

  Contains information from a monitor's timing report.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.BYTE` | `bTimingStatusByte` Timing status byte.
    `WinDef.DWORD` | `dwHorizontalFrequencyInHZ` The monitor's horizontal synchronization frequency in Hz.
    `WinDef.DWORD` | `dwVerticalFrequencyInHZ` The monitor's vertical synchronization frequency in Hz.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MC_TIMING_REPORT()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwHorizontalFrequencyInHZ

          public WinDef.DWORD dwHorizontalFrequencyInHZ

      The monitor's horizontal synchronization frequency in Hz.

    - #### dwVerticalFrequencyInHZ

          public WinDef.DWORD dwVerticalFrequencyInHZ

      The monitor's vertical synchronization frequency in Hz.

    - #### bTimingStatusByte

          public WinDef.BYTE bTimingStatusByte

      Timing status byte. For more information about this value, see the Display Data Channel Command Interface (DDC/CI) standard.

  - ### Constructor Detail

    - #### MC_TIMING_REPORT

          public MC_TIMING_REPORT()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.